<mat-toolbar color="primary" class="main-toolbar">
  <span class="main-title" routerLink="/">Splyt Test Application</span>
</mat-toolbar>
<main class="main-container">
  <div fxLayout="column" fxFill>
    <agm-map [latitude]="lat" [longitude]="lng" [zoom]="11" fxFlex="80">
      <agm-marker
        [latitude]="lat"
        [longitude]="lng"
        [animation]="'DROP'"
        [title]="officeTitle"
      >
        <!-- (markerClick)="markerClicked($event)" -->
        <agm-info-window>
          <span><strong>Location:</strong> {{ officeTitle }}</span
          ><br />
          <span><strong>Latitude:</strong> {{ lat }}</span
          ><br />
          <span><strong>Longitude:</strong> {{ lng }}</span>
        </agm-info-window>
      </agm-marker>
      <agm-marker
        *ngFor="let driver of drivers; let i = index"
        [latitude]="driver.location.latitude"
        [longitude]="driver.location.longitude"
        [iconUrl]="$any(TAXI_ICON)"
      ></agm-marker>
    </agm-map>
    <div
      fxFlex="20"
      fxLayout="row"
      fxLayoutAlign="center center"
      fxLayoutGap="25px"
    >
      <button mat-flat-button color="primary" [matMenuTriggerFor]="menu">
        Select offices
      </button>
      <mat-menu #menu="matMenu">
        <button
          *ngFor="let office of offices; let i = index"
          mat-menu-item
          (click)="officeSelected(i)"
        >
          <span>{{ office.name }}</span>
        </button>
      </mat-menu>
      <button mat-flat-button color="primary" (click)="nearestSelected()">
        Go to nearest Splyt office
      </button>
      <div fxLayout="column" fxLayoutGap="15px">
        <span>Number of taxi on the map</span>
        <mat-slider
          [displayWith]="formatedText"
          (input)="sliderChanged($event)"
          color="primary"
          thumbLabel
          step="1"
          min="1"
          max="20"
        >
        </mat-slider>
      </div>
    </div>
  </div>
</main>
